

def write_line(report_file: object, line: object) -> object:
    with open(report_file,"a+", encoding='utf-8') as f:
        f.write(line + "\n")

def gen_table_appendix(report_file, df):
    header = "| "
    for c in df.columns:
        header += c
        header += " | "
    write_line(report_file,header)

    header = "| "
    for c in df.columns:
        header += " --- |"
    write_line(report_file,header)

    for index, row in df.iterrows():
        row_text = "| "
        for c in df.columns:
            row_text += str(row[c])
            row_text += " | "
        write_line(report_file,row_text)
