from setuptools import setup, find_packages

setup(
    name='aos_ops_review_report',
    version='1.1.2',
    author="Jianwei Li",
    author_email="lijianwe@amazon.com",
    description="OpenSearch operational review report generation",
    scripts=['create_opensearch_review_report'],
    packages=find_packages(),
    package_data={
        "": ["*.xlsx","*.md","*.png"],
    },
    install_requires=[
        "pyyaml",
        "pandas",
        "rule-engine",
        "xlrd"
    ],
 )